document.addEventListener('DOMContentLoaded', function() {
  // Add rating bars to all cells with numeric ratings (1-10)
  const ratingCells = document.querySelectorAll('td:nth-child(n+4):nth-child(-n+7)');
  
  ratingCells.forEach(cell => {
    const value = parseInt(cell.textContent);
    if (!isNaN(value) && value >= 1 && value <= 10) {
      const ratingBar = document.createElement('div');
      ratingBar.className = 'rating';
      
      const barContainer = document.createElement('div');
      barContainer.className = 'rating-bar';
      
      const barFill = document.createElement('div');
      barFill.className = 'rating-fill';
      barFill.style.width = `${value * 10}%`;
      
      barContainer.appendChild(barFill);
      ratingBar.appendChild(document.createTextNode(value));
      ratingBar.appendChild(barContainer);
      
      cell.innerHTML = '';
      cell.appendChild(ratingBar);
    }
  });
  
  // Make table rows clickable for potential detail views
  const tableRows = document.querySelectorAll('tbody tr');
  tableRows.forEach(row => {
    row.style.cursor = 'pointer';
    row.addEventListener('click', function() {
      const conceptId = this.querySelector('td:first-child').textContent;
      alert(`More details coming soon for: ${conceptId}`);
    });
  });
});
